Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class IndexBuilderString

    java.lang.Object
      com.hp.hpl.jena.rdf.listeners.StatementListener
          com.hp.hpl.jena.query.larq.IndexBuilderModel
              com.hp.hpl.jena.query.larq.IndexBuilderLiteral
                  com.hp.hpl.jena.query.larq.IndexBuilderString

All Implemented Interfaces:
  com.hp.hpl.jena.rdf.model.ModelChangedListener

    public class IndexBuilderString

extends IndexBuilderLiteral

Index literals which are plain strings, string with a language tag or which have a datatype of XSD string.

Author:
  Andy Seaborne

Constructor Summary
`IndexBuilderString()` Create an index builder in-memory that indexes string literals
`IndexBuilderString(java.io.File fileDir)` Create an index builder, storing the Lucene files in a directory, that indexes string literals
`IndexBuilderString(org.apache.lucene.index.IndexWriter existingWriter)` Use an existing IndexWriter to indexes string literal
`IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property)` Create an index builder in-memory that indexes string literals, restricted to statements with a given property
`IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property, java.io.File fileDir)` Create an index builder, storing the Lucene files in a directory, that indexes string literals, where the indexed statements are restricted to statements with a given property
`IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property, org.apache.lucene.index.IndexWriter existingWriter)` Use an existing IndexWriter to indexes string literal, restricted to statements with a given property
`IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property, java.lang.String fileDir)` Create an index builder, storing the Lucene files in a directory, that indexes string literals, where the indexed statements are restricted to statements with a given property
`IndexBuilderString(java.lang.String fileDir)` Create an index builder, storing the Lucene files in a directory, that indexes string literals

Method Summary

Methods inherited from class com.hp.hpl.jena.query.larq.IndexBuilderLiteral
`closeForWriting, closeWriter, indexStatement, unindexStatement`

Methods inherited from class com.hp.hpl.jena.query.larq.IndexBuilderModel
`addedStatement, flushWriter, getIndex, indexStatements, removedStatement`

Methods inherited from class com.hp.hpl.jena.rdf.listeners.StatementListener
`addedStatements, addedStatements, addedStatements, addedStatements, notifyEvent, removedStatements, removedStatements, removedStatements, removedStatements`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexBuilderString

    public IndexBuilderString()

  Create an index builder in-memory that indexes string literals

### IndexBuilderString

    public IndexBuilderString(org.apache.lucene.index.IndexWriter existingWriter)

  Use an existing IndexWriter to indexes string literal

### IndexBuilderString

    public IndexBuilderString(java.io.File fileDir)

  Create an index builder, storing the Lucene files in a directory, that indexes string literals

### IndexBuilderString

    public IndexBuilderString(java.lang.String fileDir)

  Create an index builder, storing the Lucene files in a directory, that indexes string literals

### IndexBuilderString

    public IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property)

  Create an index builder in-memory that indexes string literals, restricted to statements with a given property

### IndexBuilderString

    public IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property,
                              org.apache.lucene.index.IndexWriter existingWriter)

  Use an existing IndexWriter to indexes string literal, restricted to statements with a given property

### IndexBuilderString

    public IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property,
                              java.io.File fileDir)

  Create an index builder, storing the Lucene files in a directory, that indexes string literals, where the indexed statements are restricted to statements with a given property

### IndexBuilderString

    public IndexBuilderString(com.hp.hpl.jena.rdf.model.Property property,
                              java.lang.String fileDir)

  Create an index builder, storing the Lucene files in a directory, that indexes string literals, where the indexed statements are restricted to statements with a given property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP